> ## Documentation Index
> Fetch the complete documentation index at: https://learn.servitly.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Update a partner
> Updates the partner identified by the given id.
Being a full update, the payload should provide the complete partner object: it is therefore recommended to read the partner first and then send back the modified object.
Required permissions: READ_PARTNER, WRITE_PARTNER.
## OpenAPI
````json PUT /network/partners/{partnerId}
{
"openapi": "3.1.0",
"info": {
"title": "Servitly DPS API",
"version": "1.0.0"
},
"servers": [
{
"url": "https://api.servitly-sandbox.com",
"description": "[AWS SANDBOX]"
},
{
"url": "https://api.servitly.com",
"description": "[AWS PRODUCTION Ireland]"
},
{
"url": "https://api-ap.servitly.com",
"description": "[AWS Hong Kong]"
},
{
"url": "https://azapi.servitly-dev.com",
"description": "[AZURE DEV Frankfurt]"
},
{
"url": "https://azapi.servitly-staging.com",
"description": "[AZURE STAGING Frankfurt]"
},
{
"url": "https://azapi.servitly.com",
"description": "[AZURE PRODUCTION Frankfurt]"
}
],
"security": [
{
"bearerAuth": []
}
],
"tags": [
{
"name": "ACTIONS"
},
{
"name": "ALERTS"
},
{
"name": "API GATEWAY"
},
{
"name": "AUTHENTICATION"
},
{
"name": "AUTHORIZATIONS"
},
{
"name": "CUSTOMERS"
},
{
"name": "DATA IMPORT / EXPORT"
},
{
"name": "EVENTS"
},
{
"name": "LOCATIONS"
},
{
"name": "MAINTENANCE"
},
{
"name": "MAPPING"
},
{
"name": "METRIC DATA"
},
{
"name": "MOBILE APP"
},
{
"name": "ORGANIZATION"
},
{
"name": "PARTNERS"
},
{
"name": "PRODUCT MODELS"
},
{
"name": "SPARE PARTS"
},
{
"name": "STATISTICS"
},
{
"name": "STORE ORDERS"
},
{
"name": "SUBSCRIPTIONS"
},
{
"name": "SUBSCRIPTIONS (OLD)"
},
{
"name": "THING CONTROL"
},
{
"name": "THING DEFINITIONS"
},
{
"name": "THING MANAGEMENT"
},
{
"name": "THINGS"
},
{
"name": "TICKETS"
},
{
"name": "USER TYPES"
},
{
"name": "USERS"
},
{
"name": "WORK SESSIONS"
}
],
"paths": {
"/network/partners/{partnerId}": {
"put": {
"summary": "Update a partner",
"description": "Updates the partner identified by the given id.
Being a full update, the payload should provide the complete partner object: it is therefore recommended to read the partner first and then send back the modified object.
Required permissions: READ_PARTNER, WRITE_PARTNER.",
"tags": [
"PARTNERS"
],
"parameters": [
{
"$ref": "#/components/parameters/tenantNameHeader"
},
{
"in": "path",
"name": "partnerId",
"required": "true",
"schema": {
"$ref": "#/components/schemas/ObjectId"
},
"description": "The partner identifier."
}
],
"requestBody": {
"description": "The details of the partner being updated.",
"required": "true",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Partner"
}
}
}
},
"responses": {
"200": {
"description": "Successfully updated.",
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Partner"
}
}
}
},
"400": {
"$ref": "#/components/responses/BadRequest"
},
"401": {
"$ref": "#/components/responses/NotAuthenticated"
},
"403": {
"$ref": "#/components/responses/NotAuthorized"
},
"404": {
"$ref": "#/components/responses/NotFound"
},
"429": {
"$ref": "#/components/responses/ApiLimit"
},
"500": {
"$ref": "#/components/responses/IntError"
}
}
}
}
},
"components": {
"parameters": {
"tenantNameHeader": {
"in": "header",
"name": "X-Servitly-Tenant",
"required": "true",
"schema": {
"type": "string",
"example": "{{tenantName}}"
},
"description": "The name of the tenant (e.g. acme)."
}
},
"schemas": {
"ObjectId": {
"type": "string",
"example": "abcd1234",
"minimum": "1",
"description": "The object identifier (e.g. 6620e4bb42541977c406b984)."
},
"Partner": {
"type": "object",
"properties": {
"id": {
"type": "string",
"readOnly": "true",
"description": "The partner object identifier."
},
"name": {
"type": "string"
},
"code": {
"type": "string",
"description": "Public, human-readable identifier for the partner. Unlike \"id\", which is the immutable internal identifier, \"code\" is exposed externally and can be modified by clients. Must be unique."
},
"country": {
"type": "string",
"description": "The country of the partner."
},
"countryIsoCode": {
"type": "string",
"description": "The country ISO Code of the partner."
},
"timezone": {
"type": "string",
"description": "The timezone used for date/times localization (e.g. Europe/Rome)."
},
"customerCount": {
"type": "number",
"description": "The number of customers associated with the partner."
},
"properties": {
"$ref": "#/components/schemas/Properties"
},
"organization": {
"description": "The parent organization identifier.",
"allOf": [
{
"$ref": "#/components/schemas/IdRef"
}
]
},
"creationTimestamp": {
"type": "integer",
"format": "int64",
"description": "The timestamp at which the object was created."
}
}
},
"Properties": {
"type": "object",
"description": "The set of properties providing additional details to the parent object.",
"additionalProperties": {
"type": "string"
},
"example": {
"foo": "abc",
"bar": "123"
}
},
"IdRef": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The referenced object identifier.",
"example": "1234abcd"
}
}
}
},
"responses": {
"BadRequest": {
"description": "Request data not valid.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Bad request"
}
}
}
}
}
},
"NotAuthenticated": {
"description": "User not authenticated.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authenticated"
}
}
}
}
}
},
"NotAuthorized": {
"description": "User not authorized.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "User not authorized"
}
}
}
}
}
},
"NotFound": {
"description": "Resource was not found.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Resource not found"
}
}
}
}
}
},
"ApiLimit": {
"description": "API call rate limit exceeded.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "API call rate limit exceeded"
}
}
}
}
}
},
"IntError": {
"description": "Internal server error.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "The error response.",
"example": "Internal Server Error"
}
}
}
}
}
}
},
"securitySchemes": {
"bearerAuth": {
"type": "http",
"scheme": "bearer"
}
}
}
}
````